> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.glideapps.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stash Data

> Sets the content of a chunk of data inside a stash

When using large datasets with the Glide API, it may be necessary to break them into smaller chunks for performance and reliability. We call this process "stashing."

Tabular data may be stashed in JSON, CSV, or TSV format.

<Tip>
  To learn more about stashing and how to use it to work with large datasets, please see our [introduction to stashing](/api-reference/v2/stashing/introduction).
</Tip>


## OpenAPI

````yaml put /stashes/{stashID}/{serial}
openapi: 3.0.0
info:
  title: ''
  version: 0.0.1
servers:
  - description: Production
    url: https://api.glideapps.com
security:
  - BearerAuth: []
tags: []
paths:
  /stashes/{stashID}/{serial}:
    put:
      description: Sets the content of a chunk of data inside a stash
      parameters:
        - name: stashID
          in: path
          schema:
            type: string
            pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{0,255}$
            description: >-
              ID of the stash. The stash will be created if it doesn't already
              exist.
            example: 20240215-job32
          required: true
        - name: serial
          in: path
          schema:
            type: string
            pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{0,255}$
            description: >-
              Serial identifier of the chunk of data to set in the stash. If a
              chunk has already been sent with the same serial, its data will be
              overwritten. Chunks will be assembled in the sort order of their
              serials, so utilize ordered identifiers for each chunk if a
              specific ordering of data in the stash is desired, e.g., `1`, `2`,
              etc...

              If the order of data is not important, random, but unique, values
              can be used, e.g., `c2a4567`.
            example: '1'
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                additionalProperties: {}
                description: "A row object conforming to the schema of the table, where keys are the column IDs and values are the column values:\n\n```json\n{\n\t\"fullName\": \"Alex Bard\",\n\t\"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n\t\"totalAmount\": 34.50,\n\t\"amountPaid\": 0\n}\n```"
                example:
                  fullName: Alex Bard
                  invoiceDate: '2024-07-29T14:04:15.561Z'
                  totalAmount: 34.5
                  amountPaid: 0
              description: "A collection of row objects conforming to the schema of the table where keys are the column IDs and values are the column values:\n\n```json\n[\n\t{\n\t\t\"fullName\": \"Alex Bard\",\n\t\t\"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n\t\t\"totalAmount\": 34.50,\n\t\t\"amountPaid\": 0\n\t},\n\t{\n\t\t\"fullName\": \"Alicia Hines\",\n\t\t\"invoiceDate\": \"2023-06-15T10:30:00.000Z\",\n\t\t\"totalAmount\": 50.75,\n\t\t\"amountPaid\": 20\n\t}\n]\n```"
              example:
                - fullName: Alex Bard
                  invoiceDate: '2024-07-29T14:04:15.561Z'
                  totalAmount: 34.5
                  amountPaid: 0
                - fullName: Alicia Hines
                  invoiceDate: '2023-06-15T10:30:00.000Z'
                  totalAmount: 50.75
                  amountPaid: 20
          text/csv:
            schema:
              type: string
              description: >-
                A CSV string. The first line is column IDs, and each subsequent
                line is a row of data.
              example: |-
                Name,Age,Birthday
                Alice,25,2024-08-29T09:46:16.722Z
                Bob,30,2020-01-15T09:00:16.722Z
          text/tab-separated-values:
            schema:
              type: string
              description: >-
                A TSV string. The first line is column IDs, and each subsequent
                line is a row of data.
              example: "Name\tAge\tBirthday\nAlice\t25\t2024-08-29T09:46:16.722Z\nBob\t30\t2020-01-15T09:00:16.722Z"
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
                additionalProperties: false
                description: >-
                  A 200 HTTP response code indicates that the data was
                  successfully stashed into the stash with the given stash ID.
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth
        token](/api-reference/v2/general/authentication).

````